NetConnection (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetConnection

    java.lang.Object
      org.hyperic.sigar.NetConnection

All Implemented Interfaces:
  java.io.Serializable

    public class NetConnection

extends java.lang.Object
implements java.io.Serializable

NetConnection sigar class.

See Also:
  Serialized Form

Constructor Summary
`NetConnection()`

Method Summary
`void` | `gather(Sigar sigar)`
`java.lang.String` | `getLocalAddress()` Get the local_address.
`long` | `getLocalPort()` Get the local_port.
`long` | `getReceiveQueue()` Get the receive_queue.
`java.lang.String` | `getRemoteAddress()` Get the remote_address.
`long` | `getRemotePort()` Get the remote_port.
`long` | `getSendQueue()` Get the send_queue.
`int` | `getState()` Get the state.
`java.lang.String` | `getStateString()`
`static java.lang.String` | `getStateString(int state)`
`int` | `getType()` Get the type.
`java.lang.String` | `getTypeString()`
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetConnection

    public NetConnection()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getLocalPort

    public long getLocalPort()

  Get the local_port.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    local_port

### getLocalAddress

    public java.lang.String getLocalAddress()

  Get the local_address.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    local_address

### getRemotePort

    public long getRemotePort()

  Get the remote_port.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    remote_port

### getRemoteAddress

    public java.lang.String getRemoteAddress()

  Get the remote_address.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    remote_address

### getType

    public int getType()

  Get the type.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    type

### getState

    public int getState()

  Get the state.

  Supported Platforms: Linux, FreeBSD, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    state

### getSendQueue

    public long getSendQueue()

  Get the send_queue.

  Supported Platforms: Linux, FreeBSD, Solaris.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    send_queue

### getReceiveQueue

    public long getReceiveQueue()

  Get the receive_queue.

  Supported Platforms: Linux, FreeBSD, Solaris.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `netstat`
  - Solaris: ``
  - Win32: ``

  Returns:
    receive_queue

### getTypeString

    public java.lang.String getTypeString()

### getStateString

    public static java.lang.String getStateString(int state)

### getStateString

    public java.lang.String getStateString()

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.